# $Revision: 1.41 $, $Date: 2006/05/21 15:33:37 $
Summary:	Terminates connections for idle users
Summary(pl):	Przerywa poczenia bezczynnych uytkownikw
Name:		autolog
Version:	0.40
Release:	4
License:	GPL
Group:		Daemons
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/admin/idle/%{name}-%{version}.tar.gz
# Source0-md5:	bcca87156acfdce9171acc90b35f9d0d
Source1:	%{name}.init
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Autolog is a program to automatically log off users who are idle for a
specified amount of time. A configuration file allows you to specify
different idle times and logout rules for different users, groups, tty
lines, etc.

%description -l pl
Autolog to program automatycznie wylogowujcy uytkownikw, ktrzy nie
korzystaj przez okrelony czas z terminala. Plik konfiguracyjny
pozwala na okrelenie czasw oraz regu postpowania dla rnych
uytkownikw, grup, linii tty itp.

%prep
%setup -q

%build
# Remove stale binaries
%{__make} clean

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8},/etc/rc.d/init.d,/var/log}

install autolog $RPM_BUILD_ROOT%{_sbindir}
install autolog.conf $RPM_BUILD_ROOT%{_sysconfdir}
install autolog.8.gz $RPM_BUILD_ROOT%{_mandir}/man8
install autolog.conf.5.gz $RPM_BUILD_ROOT%{_mandir}/man5
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

touch $RPM_BUILD_ROOT/var/log/autolog.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add autolog
%service autolog restart

%preun
if [ "$1" = "0" ]; then
	%service autolog stop
	/sbin/chkconfig --del autolog
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_sbindir}/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/autolog.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man?/*
%attr(640,root,root) %ghost /var/log/autolog.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: autolog.spec,v $
Revision 1.41  2006/05/21 15:33:37  glen
- rel 4

Revision 1.40  2006/02/24 15:20:04  glen
- use %service

Revision 1.39  2005/11/17 20:12:24  darekr
- pass CC, sort verify() flags

Revision 1.38  2005/07/21 19:43:06  arekm
- add log file

Revision 1.37  2004/04/26 13:47:01  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.36  2003/08/06 16:31:23  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.35  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 05:45:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2002/12/23 14:02:21  qboosh
- fixed Source0 URL

Revision 1.32  2002/12/07 14:32:49  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.31  2002/10/10 11:50:39  marcus
- use new %%doc

Revision 1.30  2002/04/25 15:50:09  arturs
fixed a small typo

Revision 1.29  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.28  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/11/05 22:22:41  orzech
- fixed typos in %%post & %%preun

Revision 1.25  2001/10/31 14:04:02  qboosh
- typo
- turn off service only on remove, not upgrade

Revision 1.24  2001/10/27 08:23:06  grzegorz
- typo in %%post, don't only copy&paste from crond :)

Revision 1.23  2001/10/21 21:30:47  orzech
- update finished, works for me

Revision 1.22  2001/10/21 14:23:56  orzech
- updated to 0.40, NFY (todo: fix init.d/autolog)

Revision 1.21  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.20  2001/02/25 00:07:24  kloczek
- relese 6: added rc-scripts to Prereq.

Revision 1.19  2001/01/25 20:03:21  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.18  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.17  2000/12/18 10:24:14  cieciwa
- changed etc/cron.d to %%{_sysnonfdir}/cron.d

Revision 1.16  2000/12/13 17:43:10  kloczek
- release 5,
- use more macroc and new rpm automation,
- fixed %post, %preun scripts.

Revision 1.15  2000/07/26 11:18:07  mis
- /etc/crontab.d -> /etc/cron.d, crontab.d isn't provided by PLD cronds
- release 4

Revision 1.14  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/18 02:01:25  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.10  1999/07/27 13:00:56  kloczek
- replace "crond stop; crond start" by "crond restart".

Revision 1.9  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [0.34-3]
- spec cleanup

* Tue Apr  6 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.34-2]
- changed Group(pl),
- added %post, %preun with restarting crond on install, upgrade and
  uninstall autolog; this allow automated {de}activate autolog.

* Fri Oct 16 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial rpm release.
